diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java b/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
index 73c56ffea3002b71d4a4f8909d44ced06bfa9d00..c45148f7936968d5bd39e1b0b3e64f0e9e1536b5 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CRMFPopClient.java
@@ -192,7 +192,6 @@ public class CRMFPopClient {
     }
 
     public static void main(String args[]) {
-        String USER_PREFIX = "user";
 
         int argsLen = getRealArgsLength(args);
 
@@ -261,8 +260,6 @@ public class CRMFPopClient {
         URLConnection conn = null;
         InputStream is = null;
         BufferedReader reader = null;
-        boolean success = false;
-        int num = 1;
         long total_time = 0;
         KeyPair pair = null;
 
@@ -515,7 +512,6 @@ public class CRMFPopClient {
                 while ((line = reader.readLine()) != null) {
                     System.out.println(line);
                     if (line.equals("CMS Enroll Request Success")) {
-                        success = true;
                         System.out.println("Enrollment Successful: ......");
                         System.out.println("");
                     }
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/DRMTool.java b/pki/base/java-tools/src/com/netscape/cmstools/DRMTool.java
index 3b0e8b1ffb31ee5e35857733e4c7978c9b2a66f3..c3a91dcd785cf9455ac06426e8e049a99548a0b9 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/DRMTool.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/DRMTool.java
@@ -2448,7 +2448,6 @@ public class DRMTool {
      */
     private static String output_dn(String record_type,
                                      String line) {
-        String data = null;
         String embedded_cn_data[] = null;
         String embedded_cn_output = null;
         String input = null;
@@ -3955,7 +3954,6 @@ public class DRMTool {
      */
     private static String output_extdata_auth_token_user(String record_type,
                                                           String line) {
-        String data = null;
         String output = null;
 
         try {
@@ -4003,7 +4001,6 @@ public class DRMTool {
      */
     private static String output_extdata_auth_token_user_dn(String record_type,
                                                              String line) {
-        String data = null;
         String output = null;
 
         try {
@@ -4310,7 +4307,6 @@ public class DRMTool {
      * @return true if the DRMTOOL config file is successfully processed
      */
     private static boolean process_drmtool_config_file() {
-        boolean success = false;
         BufferedReader reader = null;
         String line = null;
         String name_value_pair[] = null;
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PKCS12Export.java b/pki/base/java-tools/src/com/netscape/cmstools/PKCS12Export.java
index e9877fd8d2fcce49be544722d035e508c466a88f..8be0b98dd28388b502851f723b045a69320fb8e8 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PKCS12Export.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PKCS12Export.java
@@ -272,7 +272,7 @@ public class PKCS12Export {
 
                 if (prikey == null) {
                     debug("Private key is null");
-                    byte[] localKeyId = addCertBag(certs[i], null, safeContents);
+                    addCertBag(certs[i], null, safeContents);
                 } else {
                     debug("Private key is not null");
                     byte localKeyId[] =
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java b/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
index e4d8106f7381c96cd94dae4bdf706659bc6e6754..abb09db62e417a5d230be6b7834f208b576cb69b 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
@@ -150,8 +150,6 @@ public class PasswordCache {
         String mPrefix = "";
         String mKeyIdString = null;
         byte[] mKeyId = null;
-        String mCertDB = CERTDB;
-        String mKeyDB = KEYDB;
         String mCacheFile = "pwcache.db";
 
         String pwdPath = null;
@@ -197,7 +195,6 @@ public class PasswordCache {
                 String keyFile = argv[i];
                 try {
                     BufferedReader r = new BufferedReader(new FileReader(keyFile));
-                    String listLine;
                     mKeyIdString = r.readLine();
                 } catch (Exception e) {
                     System.out.println("Error: " + e.toString());
@@ -793,8 +790,6 @@ class PWsdrCache {
             Process process = Runtime.getRuntime().exec(cmds);
 
             process.waitFor();
-            BufferedReader pOut = null;
-            String l = null;
 
             if (process.exitValue() == 0) {
 
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
index 9d91429273fac666a7f9597027012345ec2d1033..ddbd95c8dad9cad71a0881747ec854224a666674 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCert.java
@@ -25,7 +25,6 @@ import java.io.FileOutputStream;
 import java.io.IOException;
 import java.io.InputStreamReader;
 import java.security.cert.CertificateException;
-import java.util.Enumeration;
 import java.util.Locale;
 
 import netscape.security.util.CertPrettyPrint;
@@ -190,8 +189,6 @@ public class PrettyPrintCert {
                 CertificateSubjectName csn = (CertificateSubjectName)
                         certinfo.get(X509CertInfo.SUBJECT);
 
-                Enumeration<String> en = csn.getAttributeNames();
-
                 X500Name dname = (X500Name) csn.get(CertificateSubjectName.DN_NAME);
 
                 pp = "";
diff --git a/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java b/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
index 4e35d982cd9cd203385a7d5278143311547fc4bd..c195a78ae302712a2a30ef400295957d6c7521dc 100644
--- a/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
+++ b/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
@@ -1133,7 +1133,6 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
         String auditSubjectID = auditSubjectID();
         String auditRecoveryID = reqID;
         String auditAgents = ILogger.SIGNED_AUDIT_EMPTY_VALUE;
-        String auditPublicKey = ILogger.SIGNED_AUDIT_EMPTY_VALUE;
 
         IRequestQueue queue = null;
         IRequest r = null;
@@ -1426,7 +1425,6 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
             if (nc != null && nc.size() > 0) {
                 // Initialize Request In Queue notification listener
                 IConfigStore rq = nc.getSubStore(PROP_REQ_IN_Q_SUBSTORE);
-                IAuthority cSub = (IAuthority) this;
 
                 String requestInQListenerClassName =
                         nc.getString("certificateIssuedListenerClassName",
diff --git a/pki/base/kra/src/com/netscape/kra/NetkeyKeygenService.java b/pki/base/kra/src/com/netscape/kra/NetkeyKeygenService.java
index 09dc4d95c1e2a4d4a30c1c0869c928257f64756c..ecce2eaa9e99bba84b63c9ebd8ed9711cea13f20 100644
--- a/pki/base/kra/src/com/netscape/kra/NetkeyKeygenService.java
+++ b/pki/base/kra/src/com/netscape/kra/NetkeyKeygenService.java
@@ -301,9 +301,7 @@ public class NetkeyKeygenService implements IService {
             throws EBaseException {
         String auditMessage = null;
         String auditSubjectID = null;
-        String auditRequesterID = "TPSagent";
         String auditArchiveID = ILogger.UNIDENTIFIED;
-        String auditPublicKey = ILogger.UNIDENTIFIED;
         byte[] wrapped_des_key;
 
         byte iv[] = { 0x1, 0x1, 0x1, 0x1, 0x1, 0x1, 0x1, 0x1 };
diff --git a/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java b/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
index 3a860f447c1d5ff1688e3e00e97e56b2dd10ca5b..7575ea9f46fee64e5537211ebff4aa5ff00b7af2 100644
--- a/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
+++ b/pki/base/kra/src/com/netscape/kra/TokenKeyRecoveryService.java
@@ -197,9 +197,7 @@ public class TokenKeyRecoveryService implements IService {
     public boolean serviceRequest(IRequest request) throws EBaseException {
         String auditMessage = null;
         String auditSubjectID = null;
-        String auditRequesterID = "TPSagent";
         String auditRecoveryID = ILogger.UNIDENTIFIED;
-        String auditPublicKey = ILogger.UNIDENTIFIED;
         String iv_s = "";
 
         CMS.debug("KRA services token key recovery request");
@@ -553,7 +551,9 @@ public class TokenKeyRecoveryService implements IService {
             privateKeyIn.getSequence(0);
             DerValue privateKeyDer = new DerValue(privateKeyIn.getOctetString());
             DerInputStream privateKeyDerIn = privateKeyDer.data;
-            BigInt privateKeyVersion = privateKeyDerIn.getInteger();
+
+            @SuppressWarnings("unused")
+            BigInt privateKeyVersion = privateKeyDerIn.getInteger(); // consume stream
             BigInt privateKeyModulus = privateKeyDerIn.getInteger();
             BigInt privateKeyExponent = privateKeyDerIn.getInteger();
 
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureCA.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureCA.java
index 84dd68a1ceb27d5bcb09e7d4b46473133fbb37e1..ee41e5a194d60f56051da545e065cc5d371743ff 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureCA.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureCA.java
@@ -261,7 +261,6 @@ public class ConfigureCA {
 
     public boolean TokenChoicePanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
             String query_string = null;
 
@@ -332,9 +331,8 @@ public class ConfigureCA {
 
     public boolean DisplayCertChainPanel() {
         try {
-            HTTPResponse hr = null;
             String query_string = "p=4" + "&op=next" + "&xml=true";
-            hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
+            hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
             return true;
         } catch (Exception e) {
             System.out.println("Exception in DisplayCertChainPanel(): " + e.toString());
@@ -345,7 +343,6 @@ public class ConfigureCA {
 
     public boolean SecurityDomainLoginPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
 
             String subca_url = "https://" + cs_hostname + ":" + cs_port +
@@ -394,7 +391,6 @@ public class ConfigureCA {
 
     public boolean CreateCAPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
             String query_string = null;
 
@@ -454,7 +450,6 @@ public class ConfigureCA {
 
     public boolean HierarchyPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
 
             String query_string = "p=8" + "&op=next" + "&xml=true";
@@ -479,7 +474,6 @@ public class ConfigureCA {
 
     public boolean LdapConnectionPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
 
             String query_string = "p=9" + "&op=next" + "&xml=true" + "&host="
@@ -509,7 +503,6 @@ public class ConfigureCA {
 
     public boolean KeyPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
             ByteArrayInputStream bais = null;
             ParseXML px = new ParseXML();
@@ -602,7 +595,6 @@ public class ConfigureCA {
 
     public boolean CertSubjectPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
             ByteArrayInputStream bais = null;
             ParseXML px = new ParseXML();
@@ -749,7 +741,6 @@ public class ConfigureCA {
 
     public boolean CertificatePanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
 
             String query_string = "p=12" + "&op=next" + "&xml=true" + "&subsystem="
@@ -778,14 +769,12 @@ public class ConfigureCA {
 
     public boolean CertificatePanelExternal() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
             ByteArrayInputStream bais = null;
             ParseXML px = new ParseXML();
             ArrayList<String> req_list = null;
             ArrayList<String> cert_list = null;
             ArrayList<String> dn_list = null;
-            ArrayList<String> pp_list = null;
             String genString = "...certificate be generated internally...";
 
             String query_string = "p=12" + "&op=apply" + "&xml=true" + "&subsystem="
@@ -873,7 +862,6 @@ public class ConfigureCA {
 
     public boolean BackupPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
 
             if (save_p12.equalsIgnoreCase("true")) {
@@ -906,7 +894,7 @@ public class ConfigureCA {
                     String line = null;
                     while ((line = br.readLine()) != null)
                         System.out.println("Error: " + line);
-                    int exitVal = proc.waitFor();
+                    proc.waitFor();
 
                     // verify p12 file
                     // Decode the P12 file
@@ -977,7 +965,6 @@ public class ConfigureCA {
 
     public boolean AdminCertReqPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
             ByteArrayInputStream bais = null;
             ParseXML px = new ParseXML();
@@ -1087,7 +1074,6 @@ public class ConfigureCA {
 
     public boolean UpdateDomainPanel() {
         try {
-            boolean st = false;
             HTTPResponse hr = null;
             ByteArrayInputStream bais = null;
             ParseXML px = new ParseXML();
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureOCSP.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureOCSP.java
index bf599ed4c0a8446d4ccd4125ed11368eba79071a..254d9bcecc719c9ccca05943fad700550ecf621e 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureOCSP.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureOCSP.java
@@ -611,8 +611,6 @@ public class ConfigureOCSP {
         ParseXML px = new ParseXML();
         String admin_cert_request = null;
 
-        String cert_subject = "CN=ocsp-" + admin_user;
-
         ComCrypto cCrypt = new ComCrypto(client_certdb_dir,
                                         client_certdb_pwd,
                                         agent_cert_subject,
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureRA.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureRA.java
index d8a6c7feb9226f86409527e26c9923e7ce41b7bd..cade95fa823b20bca638a43154f4c131738812ec 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureRA.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureRA.java
@@ -255,7 +255,6 @@ public class ConfigureRA {
         px.prettyprintxml();
 
         sleep_time();
-        String ca_url = "https://" + ca_hostname + ":" + ca_ssl_port;
 
         // CA choice panel
         query_string = "p=4" +
@@ -381,8 +380,6 @@ public class ConfigureRA {
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
-        String ca_url = "https://" + ca_hostname + ":" + ca_ssl_port;
-
         String query_string = "p=9" +
                     "&sslserver=" +
                     URLEncoder.encode(ra_server_cert_subject_name) +
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureSubCA.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureSubCA.java
index 4c33a8479b24964d6b780586469a7fdf0b6bb3ff..62947e4a23083b7bb1e4536c15acd5db49dfef9f 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureSubCA.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureSubCA.java
@@ -297,18 +297,13 @@ public class ConfigureSubCA {
     }
 
     public boolean SecurityDomainLoginPanel() {
-        boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
-
         String subca_url = "https://" + cs_hostname + ":" + cs_port +
                             "/ca/admin/console/config/wizard" +
                             "?p=5&subsystem=CA";
 
         String query_string = "url=" + URLEncoder.encode(subca_url);
 
-        hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
+        HTTPResponse hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
 
         String query_string_1 = "uid=" + sd_admin_name +
                                 "&pwd=" + URLEncoder.encode(sd_admin_password) +
@@ -340,20 +335,14 @@ public class ConfigureSubCA {
     }
 
     public boolean DisplayChainPanel() {
-        boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
-        String query_string = null;
-
-        query_string = "p=5" + "&op=next" + "&xml=true" +
+        String query_string = "p=5" + "&op=next" + "&xml=true" +
                         "&choice=newsubsystem" +
                         "&subsystemName=" +
                         URLEncoder.encode(subsystem_name) +
                         "&subsystemName=" +
                         URLEncoder.encode(subsystem_name) +
                         "&urls=0";
-        hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
+        hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
         // parse xml
         // bais = new ByteArrayInputStream(hr.getHTML().getBytes());
         // px.parse(bais);
@@ -493,8 +482,6 @@ public class ConfigureSubCA {
         ArrayList<String> cert_list = null;
         ArrayList<String> dn_list = null;
 
-        String domain_url = "https://" + ca_hostname + ":" + ca_ssl_port;
-
         String query_string = "p=11" + "&op=next" + "&xml=true" +
                 "&signing=" +
                 URLEncoder.encode(subca_sign_cert_subject_name) +
@@ -574,14 +561,9 @@ public class ConfigureSubCA {
     }
 
     public boolean CertificatePanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
-        ArrayList<String> req_list = null;
-        ArrayList<String> cert_list = null;
-        ArrayList<String> dn_list = null;
-        ArrayList<String> pp_list = null;
 
         String query_string = "p=12" + "&op=next" + "&xml=true" +
                             "&signing=" +
@@ -654,14 +636,11 @@ public class ConfigureSubCA {
     }
 
     public boolean AdminCertReqPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
         String admin_cert_request = null;
 
-        String cert_subject = "CN=" + "subca-" + admin_user;
-
         ComCrypto cCrypt = new ComCrypto(client_certdb_dir,
                                         client_certdb_pwd,
                                         agent_cert_subject,
@@ -716,15 +695,12 @@ public class ConfigureSubCA {
 
     public boolean AdminCertImportPanel() {
         boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
 
         String query_string = "serialNumber=" + admin_serial_number +
                             "&importCert=" + "true" +
                             "";
 
-        hr = hc.sslConnect(cs_hostname, cs_port, admin_uri, query_string);
+        HTTPResponse hr = hc.sslConnect(cs_hostname, cs_port, admin_uri, query_string);
 
         // get response data
         // String cert_to_import = 
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
index acc6996731ba04ce8e9516f75eea48de0e586e23..5fad4790e5a56ae516aef4d846ef33d21f07e531 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTKS.java
@@ -268,14 +268,8 @@ public class ConfigureTKS {
     }
 
     public boolean DisplayChainPanel() {
-        boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
-        String query_string = null;
-
-        query_string = "p=4" + "&op=next" + "&xml=true";
-        hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
+        String query_string = "p=4" + "&op=next" + "&xml=true";
+        hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
         // parse xml
         // bais = new ByteArrayInputStream(hr.getHTML().getBytes());
         // px.parse(bais);
@@ -286,18 +280,13 @@ public class ConfigureTKS {
     }
 
     public boolean SecurityDomainLoginPanel() {
-        boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
-
         String tks_url = "https://" + cs_hostname + ":" + cs_port +
                             "/tks/admin/console/config/wizard" +
                             "?p=5&subsystem=TKS";
 
         String query_string = "url=" + URLEncoder.encode(tks_url);
 
-        hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
+        HTTPResponse hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
 
         String query_string_1 = "uid=" + sd_admin_name +
                                 "&pwd=" + URLEncoder.encode(sd_admin_password) +
@@ -490,14 +479,9 @@ public class ConfigureTKS {
     }
 
     public boolean CertificatePanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
-        ArrayList<String> req_list = null;
-        ArrayList<String> cert_list = null;
-        ArrayList<String> dn_list = null;
-        ArrayList<String> pp_list = null;
 
         String query_string = "p=10" + "&op=next" + "&xml=true" +
                             "&subsystem=" +
@@ -544,14 +528,9 @@ public class ConfigureTKS {
     }
 
     public boolean SavePKCS12Panel() {
-        boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
-
         String query_string = "";
 
-        hr = hc.sslConnect(cs_hostname, cs_port, pkcs12_uri, query_string);
+        HTTPResponse hr = hc.sslConnect(cs_hostname, cs_port, pkcs12_uri, query_string);
 
         // dump hr.getResponseData() to file
 
@@ -595,14 +574,11 @@ public class ConfigureTKS {
     }
 
     public boolean AdminCertReqPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
         String admin_cert_request = null;
 
-        String cert_subject = "CN=tks-" + admin_user;
-
         ComCrypto cCrypt = new ComCrypto(client_certdb_dir,
                                         client_certdb_pwd,
                                         agent_cert_subject,
@@ -656,15 +632,12 @@ public class ConfigureTKS {
 
     public boolean AdminCertImportPanel() {
         boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
 
         String query_string = "serialNumber=" + admin_serial_number +
                             "&importCert=" + "true" +
                             "";
 
-        hr = hc.sslConnect(sd_hostname, sd_admin_port, admin_uri, query_string);
+        HTTPResponse hr = hc.sslConnect(sd_hostname, sd_admin_port, admin_uri, query_string);
 
         // get response data
         // String cert_to_import = 
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
index 10cdc7821ad2bf10291dcd53720b4d7abd4dab94..4982a2f2d90510983696f5b7fec8a8ce7953be1d 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureTPS.java
@@ -20,7 +20,6 @@ package com.netscape.pkisilent;
 
 import java.io.ByteArrayInputStream;
 import java.net.URLEncoder;
-import java.util.ArrayList;
 
 import com.netscape.osutil.OSUtil;
 import com.netscape.pkisilent.argparser.ArgParser;
@@ -221,32 +220,21 @@ public class ConfigureTPS {
     }
 
     public boolean DisplayChainPanel() {
-        boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
-        String query_string = null;
-
-        query_string = "p=4" + "&op=next" + "&xml=true";
-        hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
+        String query_string = "p=4" + "&op=next" + "&xml=true";
+        hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
         return true;
 
     }
 
     public boolean SecurityDomainLoginPanel() {
-        boolean st = false;
-        HTTPResponse hr = null;
-        ByteArrayInputStream bais = null;
-        ParseXML px = new ParseXML();
-
         String tps_url = "https://" + cs_hostname + ":" + cs_port +
                             "/tps/admin/console/config/wizard" +
                             "?p=3&subsystem=TPS";
 
         String query_string = "url=" + URLEncoder.encode(tps_url) + "";
 
-        hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
+        HTTPResponse hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
 
         String query_string_1 = "uid=" + sd_admin_name +
                                 "&pwd=" + URLEncoder.encode(sd_admin_password) +
@@ -302,7 +290,6 @@ public class ConfigureTPS {
         px.prettyprintxml();
 
         sleep_time();
-        String ca_url = "https://" + ca_hostname + ":" + ca_ssl_port;
 
         // CA choice panel
         query_string = "p=6" +
@@ -337,8 +324,6 @@ public class ConfigureTPS {
             ss_keygen = "keygen";
         }
 
-        String drm_url = "https://" + drm_hostname + ":" + drm_ssl_port;
-
         query_string = "p=8" +
                         "&choice=" + ss_keygen +
                         "&urls=0" +
@@ -474,12 +459,9 @@ public class ConfigureTPS {
     }
 
     public boolean KeyPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
-        ArrayList<String> friendly_list = null;
-        ArrayList<String> dn_list = null;
 
         String query_string = "p=11" +
                             "&keytype=" + key_type +
@@ -508,16 +490,9 @@ public class ConfigureTPS {
     }
 
     public boolean CertSubjectPanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
-        ArrayList<String> req_list = null;
-        ArrayList<String> cert_list = null;
-        ArrayList<String> dn_list = null;
-        ArrayList<String> friendly_list = null;
-
-        String ca_url = "https://" + ca_hostname + ":" + ca_ssl_port;
 
         String query_string = "p=12" +
                     "&sslserver=" +
@@ -549,14 +524,9 @@ public class ConfigureTPS {
     }
 
     public boolean CertificatePanel() {
-        boolean st = false;
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
-        ArrayList<String> req_list = null;
-        ArrayList<String> cert_list = null;
-        ArrayList<String> dn_list = null;
-        ArrayList<String> pp_list = null;
 
         String query_string = "p=13" +
                             "&sslserver=" +
diff --git a/pki/base/silent/src/com/netscape/pkisilent/argparser/ArgParser.java b/pki/base/silent/src/com/netscape/pkisilent/argparser/ArgParser.java
index d6f02d9c6d91e1b3ca046aef83bae106425f14b8..ed5f98b1de8741cd1e1d2a1f243f8d02815b5c04 100755
--- a/pki/base/silent/src/com/netscape/pkisilent/argparser/ArgParser.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/argparser/ArgParser.java
@@ -811,7 +811,6 @@ public class ArgParser {
             }
             }
             if (outOfRange) {
-                String errmsg = "value " + s + " not in range ";
                 throw new ArgParseException(
                         name, "value '" + s + "' not in range " + rangeDesc);
             }
@@ -1040,7 +1039,6 @@ public class ArgParser {
     private void scanRangeSpec(Record rec, String s)
             throws IllegalArgumentException {
         StringScanner scanner = new StringScanner(s);
-        int i0, i = 1;
         char c, c0, c1;
 
         scanner.setStringDelimiters(")],}");
diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java b/pki/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
index d0222897d79fc0edfed2179a028e57410d53c269..91a273df6a253e60b4e0bb8cf682ece04741019a 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/CMSLDAP.java
@@ -463,12 +463,10 @@ public class CMSLDAP {
      **/
 
     public boolean TurnOnSSL(String certPrefix, String certName, String sslport) {
-        String dn;
         String CIPHERS =
                 "-rsa_null_md5,+rsa_fips_3des_sha,+rsa_fips_des_sha,+rsa_3des_sha,+rsa_rc4_128_md5,+rsa_des_sha,+rsa_rc2_40_md5,+rsa_rc4_40_md5";
 
         try {
-            boolean found = false;
             int searchScope = LDAPv2.SCOPE_SUB;
             String getAttrs[] = { "nssslactivation" };
 
@@ -507,9 +505,10 @@ public class CMSLDAP {
 
             // conn.delete("cn=RSA,cn=encryption,cn=config"); 		
             try {
-                LDAPSearchResults results = conn.search(
+                conn.search(
                         "cn=RSA,cn=encryption,cn=config", searchScope, null,
-                        getAttrs, false);
+                        getAttrs, false); // check for errors
+
                 LDAPAttribute cn = new LDAPAttribute("cn", "RSA");
                 LDAPAttribute ssltoken = new LDAPAttribute("nsssltoken",
                         "internal (software)");
